Bug 1142544 - AttributeError: DummyYumPlugins instance has no attribute 'enabledPlugins'
Summary: AttributeError: DummyYumPlugins instance has no attribute 'enabledPlugins'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d351d6224be81cc518ac2c1534f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-17 02:50 UTC by Shawn Starr
Modified: 2014-10-20 23:01 UTC (History)
4 users (show)

Fixed In Version: anaconda-21.48.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 23:01:51 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (328.46 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: anaconda.log (18.64 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: environ (459 bytes, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: ks.cfg (799 bytes, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: lsblk_output (1.41 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: nmcli_dev_list (1.00 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: os_info (377 bytes, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: program.log (29.79 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: storage.log (133.28 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: syslog (67.17 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: ifcfg.log (1.68 KB, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details
File: packaging.log (50 bytes, text/plain)
2014-09-17 02:50 UTC, Shawn Starr
no flags Details

Description Shawn Starr 2014-09-17 02:50:03 UTC
Description of problem:
Attempted to PXE boot Fedora 21 RC1 with my kickstart config I've used in past. It thew an error just upon processing kickstart file in Anaconda.

Version-Release number of selected component:
anaconda-21.48.6-1

The following was filed automatically by anaconda:
anaconda 21.48.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 448, in mirrorEnabled
    return "fastestmirror" in self._yum.plugins.enabledPlugins
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 696, in _initialize
    if not self.payload.mirrorEnabled:
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: DummyYumPlugins instance has no attribute 'enabledPlugins'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd-x86_64.img ip=dhcp slub_debug=- ks=ftp://172.18.2.4/default.ks inst.repo=http://dl.fedoraproject.org/pub/alt/stage/21_Alpha_RC1/Server/x86_64/os zswap.enabled=1 cgroup_disable=memory BOOT_IMAGE=vmlinuz-x86_64 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.16.1-301.fc21.x86_64
product:        Fedora-Server
release:        Cannot get release name.
type:           anaconda
version:        21_Alpha

Comment 1 Shawn Starr 2014-09-17 02:50:06 UTC
Created attachment 938297 [details]
File: anaconda-tb

Comment 2 Shawn Starr 2014-09-17 02:50:08 UTC
Created attachment 938298 [details]
File: anaconda.log

Comment 3 Shawn Starr 2014-09-17 02:50:08 UTC
Created attachment 938299 [details]
File: environ

Comment 4 Shawn Starr 2014-09-17 02:50:09 UTC
Created attachment 938300 [details]
File: ks.cfg

Comment 5 Shawn Starr 2014-09-17 02:50:10 UTC
Created attachment 938301 [details]
File: lsblk_output

Comment 6 Shawn Starr 2014-09-17 02:50:11 UTC
Created attachment 938302 [details]
File: nmcli_dev_list

Comment 7 Shawn Starr 2014-09-17 02:50:12 UTC
Created attachment 938303 [details]
File: os_info

Comment 8 Shawn Starr 2014-09-17 02:50:13 UTC
Created attachment 938304 [details]
File: program.log

Comment 9 Shawn Starr 2014-09-17 02:50:14 UTC
Created attachment 938305 [details]
File: storage.log

Comment 10 Shawn Starr 2014-09-17 02:50:16 UTC
Created attachment 938306 [details]
File: syslog

Comment 11 Shawn Starr 2014-09-17 02:50:16 UTC
Created attachment 938307 [details]
File: ifcfg.log

Comment 12 Shawn Starr 2014-09-17 02:50:17 UTC
Created attachment 938308 [details]
File: packaging.log

Comment 13 Shawn Starr 2014-09-17 02:55:36 UTC
This happened if the kickstart config has 'cdrom' on it.. oops... but I think we could fail better then this, no? :)

Comment 14 Shawn Starr 2014-09-17 04:36:08 UTC
This really is a bad user case.. PXE installing a remote server with a cdrom that may or may not be mounted. I suppose you *COULD* but...

Comment 15 David Shea 2014-10-10 21:01:47 UTC
I think it happens because if the cdrom isn't mounted, yum never initializes all the way, and then when we check yum's plugins object it's a different kind of object that doesn't have .enabledPlugins because life is full of surprises.

Comment 16 Fedora Update System 2014-10-15 13:07:45 UTC
anaconda-21.48.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.10-1.fc21

Comment 17 Fedora Update System 2014-10-16 17:18:30 UTC
Package anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.10-1.fc21 pykickstart-1.99.63-2.fc21 python-blivet-0.61.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12944/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-10-20 23:01:51 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.